﻿$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://static.wecity.qq.com/download/135655416-wechat_devtools_1.05.2105170_x64.exe'

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'exe'
  url           = $url
  softwareName  = 'wechatDevtools*' 
  checksum      = 'F4862E399D74EB0888115DC90E9724380DD266E5F896653BF86FEED4D5987C97'
  checksumType  = 'sha256' 
  silentArgs   = '/S'           # NSIS
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs 